[arch-commits] Commit in python-pg8000/repos/community-any (3 files)

Chih-Hsuan Yen yan12125 at archlinux.org
Sat Jul 18 13:56:54 UTC 2020


    Date: Saturday, July 18, 2020 @ 13:56:54
  Author: yan12125
Revision: 664417

archrelease: copy trunk to community-any

Added:
  python-pg8000/repos/community-any/PKGBUILD
    (from rev 664416, python-pg8000/trunk/PKGBUILD)
Deleted:
  python-pg8000/repos/community-any/PKGBUILD
  python-pg8000/repos/community-any/postgresql-12.diff

--------------------+
 PKGBUILD           |  101 ++++++++++++++++++++++++---------------------------
 postgresql-12.diff |   17 --------
 2 files changed, 48 insertions(+), 70 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-18 13:55:53 UTC (rev 664416)
+++ PKGBUILD	2020-07-18 13:56:54 UTC (rev 664417)
@@ -1,53 +0,0 @@
-# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
-# Contributor: quomoow <quomoow at gmail.com>
-
-pkgname=python-pg8000
-pkgver=1.16.0
-pkgrel=1
-pkgdesc="Pure-Python PostgreSQL database driver, DB-API compatible"
-arch=(any)
-url='https://github.com/tlocke/pg8000'
-license=(BSD)
-makedepends=(python-setuptools)
-checkdepends=(python-pytest python-pytest-mock python-pytz pifpaf postgresql)
-depends=(python python-scramp)
-source=("https://github.com/tlocke/pg8000/archive/$pkgver/pg8000-$pkgver.tar.gz"
-        postgresql-12.diff)
-sha256sums=('dbba2061f4e5f7a405bdd7839ddfd1e180b1a4844279f21eb77bed3808bee4af'
-            '31693ddabeb8d772949ecbfd0f917223802be85039a613e083ecdeee417576db')
-
-prepare() {
-  cd pg8000-$pkgver
-
-  # https://github.com/tlocke/pg8000/issues/46
-  patch -Np1 -i ../postgresql-12.diff
-
-  # Remove upper bounds of dependencies
-  sed --in-place=.orig -r 's#,?<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
-  diff -u setup.py{.orig,} || true
-}
-
-build() {
-  cd pg8000-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd pg8000-$pkgver
-  # See upstream .travis.yml for initialization SQL commands
-  # XXX: The postgres plugin in pifpaf does not listen on a TCP port
-  #      without --host
-  # XXX: testGss and testSsl needs custom pg_hba.conf and postgresql.conf,
-  #      and pifpaf does not support that yet
-  PYTHONPATH="$PWD" pifpaf run postgresql --host localhost -- bash -c "
-    psql -c \"CREATE ROLE postgres WITH LOGIN SUPERUSER PASSWORD 'pw';\"
-    psql -c \"create extension hstore;\"
-    pytest -v test -k 'not testGss and not testSsl'
-  "
-}
-
-package() {
-  cd pg8000-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
-  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname
-}

Copied: python-pg8000/repos/community-any/PKGBUILD (from rev 664416, python-pg8000/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-07-18 13:56:54 UTC (rev 664417)
@@ -0,0 +1,48 @@
+# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
+# Contributor: quomoow <quomoow at gmail.com>
+
+pkgname=python-pg8000
+pkgver=1.16.1
+pkgrel=1
+pkgdesc="Pure-Python PostgreSQL database driver, DB-API compatible"
+arch=(any)
+url='https://github.com/tlocke/pg8000'
+license=(BSD)
+makedepends=(python-setuptools)
+checkdepends=(python-pytest python-pytest-mock python-pytz pifpaf postgresql)
+depends=(python python-scramp)
+source=("https://github.com/tlocke/pg8000/archive/$pkgver/pg8000-$pkgver.tar.gz")
+sha256sums=('8af9ba3e1edf249b50b13f9f654aa6d39dd66c959fbbf041a4b66cefeb05c7d9')
+
+prepare() {
+  cd pg8000-$pkgver
+
+  # Remove upper bounds of dependencies
+  sed --in-place=.orig -r 's#,?<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
+  diff -u setup.py{.orig,} || true
+}
+
+build() {
+  cd pg8000-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd pg8000-$pkgver
+  # See upstream .travis.yml for initialization SQL commands
+  # XXX: The postgres plugin in pifpaf does not listen on a TCP port
+  #      without --host
+  # XXX: testGss and testSsl needs custom pg_hba.conf and postgresql.conf,
+  #      and pifpaf does not support that yet
+  PYTHONPATH="$PWD" pifpaf run postgresql --host localhost -- bash -c "
+    psql -c \"CREATE ROLE postgres WITH LOGIN SUPERUSER PASSWORD 'pw';\"
+    psql -c \"create extension hstore;\"
+    pytest -v test -k 'not testGss and not testSsl'
+  "
+}
+
+package() {
+  cd pg8000-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname
+}

Deleted: postgresql-12.diff
===================================================================
--- postgresql-12.diff	2020-07-18 13:55:53 UTC (rev 664416)
+++ postgresql-12.diff	2020-07-18 13:56:54 UTC (rev 664417)
@@ -1,17 +0,0 @@
-diff --git a/test/test_copy.py b/test/test_copy.py
-index e46b8d2..847fef3 100644
---- a/test/test_copy.py
-+++ b/test/test_copy.py
-@@ -71,10 +71,10 @@ def test_copy_from_with_error(db_table):
-         arg = {
-             'S': 'ERROR',
-             'C': '22P02',
--            'M': 'invalid input syntax for integer: ""',
-+            'M': 'invalid input syntax for type integer: ""',
-             'W': 'COPY t1, line 2, column f1: ""',
-             'F': 'numutils.c',
--            'R': 'pg_atoi'
-+            'R': 'pg_strtoint32'
-         }
-         earg = e.value.args[0]
-         for k, v in arg.items():



More information about the arch-commits mailing list